Index: /trunk/SophyaExt/XephemAstroLib/aa_hadec.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/aa_hadec.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/aa_hadec.c	(revision 3477)
@@ -75,3 +75,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: aa_hadec.c,v $ $Date: 2006-11-22 13:53:27 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: aa_hadec.c,v $ $Date: 2008-03-25 17:45:08 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/aberration.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/aberration.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/aberration.c	(revision 3477)
@@ -159,3 +159,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: aberration.c,v $ $Date: 2006-11-22 13:53:27 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: aberration.c,v $ $Date: 2008-03-25 17:45:08 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/actan.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/actan.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/actan.c	(revision 3477)
@@ -1,5 +1,5 @@
 #include <math.h>
 
-/* @(#) $Id: actan.c,v 1.6 2006-11-22 13:53:27 cmv Exp $ */
+/* @(#) $Id: actan.c,v 1.7 2008-03-25 17:45:08 cmv Exp $ */
 
 /* commonly in math.h, but not in strict ANSI C */
@@ -65,3 +65,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: actan.c,v $ $Date: 2006-11-22 13:53:27 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: actan.c,v $ $Date: 2008-03-25 17:45:08 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/airmass.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/airmass.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/airmass.c	(revision 3477)
@@ -24,3 +24,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: airmass.c,v $ $Date: 2006-11-22 13:53:27 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: airmass.c,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/anomaly.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/anomaly.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/anomaly.c	(revision 3477)
@@ -61,3 +61,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: anomaly.c,v $ $Date: 2006-11-22 13:53:27 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: anomaly.c,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/ap_as.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/ap_as.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/ap_as.c	(revision 3477)
@@ -66,3 +66,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: ap_as.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: ap_as.c,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/astro.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/astro.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/astro.h	(revision 3477)
@@ -18,6 +18,4 @@
 /* ratio of from synodic (solar) to sidereal (stellar) rate */
 #define	SIDRATE		.9972695677
-
-#define	SPD	(24.0*3600.0)	/* seconds per day */
 
 /* manifest names for planets.
@@ -810,4 +808,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: astro.h,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: astro.h,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/atlas.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/atlas.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/atlas.c	(revision 3477)
@@ -194,3 +194,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: atlas.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: atlas.c,v $ $Date: 2008-03-25 17:45:09 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/auxil.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/auxil.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/auxil.c	(revision 3477)
@@ -40,3 +40,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: auxil.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: auxil.c,v $ $Date: 2008-03-25 17:45:10 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/bdl.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/bdl.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/bdl.c	(revision 3477)
@@ -232,3 +232,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: bdl.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: bdl.c,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/bdl.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/bdl.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/bdl.h	(revision 3477)
@@ -3,4 +3,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: bdl.h,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: bdl.h,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/chap95.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/chap95.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/chap95.c	(revision 3477)
@@ -172,3 +172,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: chap95.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: chap95.c,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/chap95.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/chap95.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/chap95.h	(revision 3477)
@@ -65,4 +65,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: chap95.h,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: chap95.h,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/chap95_data.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/chap95_data.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/chap95_data.c	(revision 3477)
@@ -781,3 +781,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: chap95_data.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: chap95_data.c,v $ $Date: 2008-03-25 17:45:11 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/circum.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/circum.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/circum.c	(revision 3477)
@@ -861,3 +861,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: circum.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: circum.c,v $ $Date: 2008-03-25 17:45:12 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/comet.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/comet.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/comet.c	(revision 3477)
@@ -81,3 +81,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: comet.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: comet.c,v $ $Date: 2008-03-25 17:45:12 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/constel.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/constel.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/constel.c	(revision 3477)
@@ -1801,3 +1801,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: constel.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: constel.c,v $ $Date: 2008-03-25 17:45:12 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/dbfmt.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/dbfmt.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/dbfmt.c	(revision 3477)
@@ -929,17 +929,21 @@
 write_E (Obj *op, char lp[])
 {
+	double d;
+	int m, y;
+
 	lp += sprintf (lp, "%s,E", op->o_name);
 	*lp++ = ',';
-	lp += fs_date (lp, PREF_MDY, op->es_epoch);
+	mjd_cal (op->es_epoch, &m, &d, &y); /* need more day prec than fs_date*/
+	lp += sprintf (lp, "%d/%.12g/%d", m, d, y);
 	lp += get_okdates (lp, &op->es_startok, &op->es_endok);
-	lp += sprintf (lp, ",%.7g", op->es_inc);
-	lp += sprintf (lp, ",%.7g", op->es_raan);
-	lp += sprintf (lp, ",%.7g", op->es_e);
-	lp += sprintf (lp, ",%.7g", op->es_ap);
-	lp += sprintf (lp, ",%.7g", op->es_M);
-	lp += sprintf (lp, ",%.7g", op->es_n);
-	lp += sprintf (lp, ",%.7g", op->es_decay);
+	lp += sprintf (lp, ",%.8g", op->es_inc);
+	lp += sprintf (lp, ",%.8g", op->es_raan);
+	lp += sprintf (lp, ",%.8g", op->es_e);
+	lp += sprintf (lp, ",%.8g", op->es_ap);
+	lp += sprintf (lp, ",%.8g", op->es_M);
+	lp += sprintf (lp, ",%.12g", op->es_n);		/* double */
+	lp += sprintf (lp, ",%.8g", op->es_decay);
 	lp += sprintf (lp, ",%d", op->es_orbit);
-	lp += sprintf (lp, ",%.7g", op->es_drag);
+	lp += sprintf (lp, ",%.8g", op->es_drag);
 }
 
@@ -996,3 +1000,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: dbfmt.c,v $ $Date: 2006-11-22 13:53:28 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: dbfmt.c,v $ $Date: 2008-03-25 17:45:12 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/deep.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/deep.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/deep.c	(revision 3477)
@@ -788,3 +788,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: deep.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: deep.c,v $ $Date: 2008-03-25 17:45:13 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/deepconst.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/deepconst.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/deepconst.h	(revision 3477)
@@ -2,5 +2,5 @@
 #define _CONST_H
 
-/* $Id: deepconst.h,v 1.6 2006-11-22 13:53:29 cmv Exp $ */
+/* $Id: deepconst.h,v 1.7 2008-03-25 17:45:13 cmv Exp $ */
 
 
@@ -31,4 +31,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: deepconst.h,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: deepconst.h,v $ $Date: 2008-03-25 17:45:13 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/deltat.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/deltat.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/deltat.c	(revision 3477)
@@ -303,3 +303,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: deltat.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: deltat.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/earthsat.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/earthsat.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/earthsat.c	(revision 3477)
@@ -237,5 +237,5 @@
 	if (pref_get(PREF_EQUATORIAL) == PREF_TOPO) {
 	    double ha, lst;
-	    aa_hadec (lat, (double)op->s_alt, (double)op->s_az, &ha, &dec);
+	    aa_hadec (lat, Elevation, (double)op->s_az, &ha, &dec);
 	    now_lst (np, &lst);
 	    ra = hrrad(lst) - ha;
@@ -784,3 +784,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: earthsat.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: earthsat.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/eq_ecl.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/eq_ecl.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/eq_ecl.c	(revision 3477)
@@ -70,3 +70,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_ecl.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_ecl.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/eq_gal.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/eq_gal.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/eq_gal.c	(revision 3477)
@@ -97,3 +97,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_gal.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_gal.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/formats.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/formats.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/formats.c	(revision 3477)
@@ -210,3 +210,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: formats.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: formats.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/helio.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/helio.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/helio.c	(revision 3477)
@@ -49,3 +49,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: helio.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: helio.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/jupmoon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/jupmoon.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/jupmoon.c	(revision 3477)
@@ -389,3 +389,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: jupmoon.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: jupmoon.c,v $ $Date: 2008-03-25 17:45:14 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/libration.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/libration.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/libration.c	(revision 3477)
@@ -2216,3 +2216,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: libration.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: libration.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/magdecl.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/magdecl.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/magdecl.c	(revision 3477)
@@ -379,3 +379,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: magdecl.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: magdecl.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/marsmoon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/marsmoon.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/marsmoon.c	(revision 3477)
@@ -263,3 +263,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: marsmoon.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: marsmoon.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/misc.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/misc.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/misc.c	(revision 3477)
@@ -501,3 +501,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: misc.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: misc.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/mjd.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/mjd.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/mjd.c	(revision 3477)
@@ -254,3 +254,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: mjd.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: mjd.c,v $ $Date: 2008-03-25 17:45:15 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/moon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/moon.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/moon.c	(revision 3477)
@@ -3465,3 +3465,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: moon.c,v $ $Date: 2006-11-22 13:53:29 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: moon.c,v $ $Date: 2008-03-25 17:45:16 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/mooncolong.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/mooncolong.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/mooncolong.c	(revision 3477)
@@ -234,3 +234,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: mooncolong.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: mooncolong.c,v $ $Date: 2008-03-25 17:45:16 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/moonnf.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/moonnf.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/moonnf.c	(revision 3477)
@@ -67,3 +67,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: moonnf.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: moonnf.c,v $ $Date: 2008-03-25 17:45:16 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/nutation.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/nutation.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/nutation.c	(revision 3477)
@@ -439,3 +439,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: nutation.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: nutation.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/obliq.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/obliq.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/obliq.c	(revision 3477)
@@ -25,3 +25,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: obliq.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: obliq.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/parallactic.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/parallactic.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/parallactic.c	(revision 3477)
@@ -52,3 +52,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: parallactic.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: parallactic.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/parallax.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/parallax.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/parallax.c	(revision 3477)
@@ -40,3 +40,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: parallax.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: parallax.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/plans.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/plans.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/plans.c	(revision 3477)
@@ -225,3 +225,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: plans.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: plans.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/plshadow.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/plshadow.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/plshadow.c	(revision 3477)
@@ -48,3 +48,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: plshadow.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: plshadow.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/precess.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/precess.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/precess.c	(revision 3477)
@@ -144,3 +144,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: precess.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: precess.c,v $ $Date: 2008-03-25 17:45:17 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/preferences.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/preferences.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/preferences.h	(revision 3477)
@@ -29,4 +29,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: preferences.h,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: preferences.h,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/reduce.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/reduce.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/reduce.c	(revision 3477)
@@ -76,3 +76,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: reduce.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: reduce.c,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/refract.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/refract.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/refract.c	(revision 3477)
@@ -89,3 +89,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: refract.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: refract.c,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/rings.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/rings.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/rings.c	(revision 3477)
@@ -43,3 +43,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: rings.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: rings.c,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/riset.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/riset.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/riset.c	(revision 3477)
@@ -98,3 +98,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: riset.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: riset.c,v $ $Date: 2008-03-25 17:45:18 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/riset_cir.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/riset_cir.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/riset_cir.c	(revision 3477)
@@ -84,7 +84,11 @@
 	    rp->rs_flags |= RS_RISERR;
 	    break;
-	case -2: /* converged but not today */ /* FALLTHRU */
+	case -2: /* converged but not today, err but give times anyway */
+	    rp->rs_risetm = n.n_mjd;
+	    rp->rs_riseaz = o.s_az;
+	    rp->rs_flags |= RS_NORISE;
+	    break;
 	case -3: /* probably never up */
-	    rp->rs_flags |= RS_NORISE;
+	    rp->rs_flags |= RS_NEVERUP;
 	    break;
 	}
@@ -100,7 +104,11 @@
 	    rp->rs_flags |= RS_SETERR;
 	    break;
-	case -2: /* converged but not today */ /* FALLTHRU */
+	case -2: /* converged but not today, err but give times anyway */
+	    rp->rs_settm = n.n_mjd;
+	    rp->rs_setaz = o.s_az;
+	    rp->rs_flags |= RS_NOSET;
+	    break;
 	case -3: /* probably circumpolar */
-	    rp->rs_flags |= RS_NOSET;
+	    rp->rs_flags |= RS_CIRCUMPOLAR;
 	    break;
 	}
@@ -220,8 +228,7 @@
 
 	/* instead of transit, for satellites we find time of maximum
-	 * altitude, if we know both the rise and set times and the former
-	 * occurs before the latter.
+	 * altitude, if we know both the rise and set times.
 	 */
-	if (rise && set && rp->rs_risetm < rp->rs_settm) {
+	if (rise && set) {
 	    double tt, al;
 	    if (find_max (np, op, rp->rs_risetm, rp->rs_settm, &tt, &al) < 0) {
@@ -266,4 +273,5 @@
 #define	MAXPASSES	20		/* max iterations to try */
 #define	FIRSTSTEP	(1.0/60.0/24.0)	/* first time step, days */
+#define	MAXSTEP		(1.0/24.0)/* max time step,days (to detect flat)*/
 
 	double a0 = 0;
@@ -295,13 +303,15 @@
 	    a0 = a1;
 
-	} while (++npasses < MAXPASSES && fabs(dt) > TMACC);
+	    if (++npasses > MAXPASSES || fabs(dt) >= MAXSTEP)
+		return (-3);
+
+	} while (fabs(dt)>TMACC);
 
 	/* return codes */
-	if (npasses == MAXPASSES)
-	    return (-3);
 	return (fabs(mjdn-mjd) < .5 ? 0 : -2);
 
 #undef	MAXPASSES
 #undef	FIRSTSTEP
+#undef	MAXSTEP
 }
 
@@ -361,4 +371,7 @@
 double *tp, double *alp)	/* time of max altitude, and that altitude */
 {
+	/* want rise before set */
+	while (ts < tr)
+	    tr -= 1.0/op->es_n;
 	mjd = (ts + tr)/2;
 	if (obj_cir (np, op) < 0)
@@ -370,3 +383,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: riset_cir.c,v $ $Date: 2006-11-22 13:53:30 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: riset_cir.c,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/satlib.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/satlib.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/satlib.h	(revision 3477)
@@ -2,5 +2,5 @@
 #define __SATLIB_H
 
-/* $Id: satlib.h,v 1.6 2006-11-22 13:53:31 cmv Exp $ */
+/* $Id: satlib.h,v 1.7 2008-03-25 17:45:19 cmv Exp $ */
 
 typedef struct _SatElem {
@@ -203,4 +203,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: satlib.h,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: satlib.h,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/satmoon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/satmoon.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/satmoon.c	(revision 3477)
@@ -101,5 +101,5 @@
 
 	/* get moon x,y,z from BDL if possible, else Bruton's model */
-	if (dir && use_bdl (JD, dir, md) < 0)
+	if (!dir || use_bdl (JD, dir, md) < 0)
 	    bruton_saturn (sop, JD, md);
 
@@ -508,3 +508,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: satmoon.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: satmoon.c,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/satspec.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/satspec.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/satspec.h	(revision 3477)
@@ -2,5 +2,5 @@
 #define __SATSPEC_H
 
-/* $Id: satspec.h,v 1.6 2006-11-22 13:53:31 cmv Exp $ */
+/* $Id: satspec.h,v 1.7 2008-03-25 17:45:19 cmv Exp $ */
 
 #include "sattypes.h"
@@ -40,4 +40,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: satspec.h,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: satspec.h,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/sattypes.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sattypes.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/sattypes.h	(revision 3477)
@@ -2,5 +2,5 @@
 #define __SATTYPES_H
 
-/* $Id: sattypes.h,v 1.6 2006-11-22 13:53:31 cmv Exp $ */
+/* $Id: sattypes.h,v 1.7 2008-03-25 17:45:19 cmv Exp $ */
 
 typedef struct _Vec3 {
@@ -25,4 +25,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: sattypes.h,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: sattypes.h,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/sdp4.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sdp4.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/sdp4.c	(revision 3477)
@@ -428,3 +428,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sdp4.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sdp4.c,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/sgp4.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sgp4.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/sgp4.c	(revision 3477)
@@ -399,3 +399,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sgp4.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sgp4.c,v $ $Date: 2008-03-25 17:45:19 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/sphcart.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sphcart.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/sphcart.c	(revision 3477)
@@ -41,3 +41,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sphcart.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sphcart.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/sun.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/sun.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/sun.c	(revision 3477)
@@ -42,3 +42,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sun.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: sun.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/thetag.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/thetag.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/thetag.c	(revision 3477)
@@ -3,5 +3,5 @@
 #include "deepconst.h"
 
-/* @(#) $Id: thetag.c,v 1.6 2006-11-22 13:53:31 cmv Exp $ */
+/* @(#) $Id: thetag.c,v 1.7 2008-03-25 17:45:20 cmv Exp $ */
 
 
@@ -88,3 +88,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: thetag.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: thetag.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/twobody.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/twobody.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/twobody.c	(revision 3477)
@@ -241,3 +241,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: twobody.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: twobody.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/umoon.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/umoon.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/umoon.c	(revision 3477)
@@ -268,3 +268,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: umoon.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.4 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: umoon.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.5 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/utc_gst.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/utc_gst.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/utc_gst.c	(revision 3477)
@@ -93,3 +93,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: utc_gst.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: utc_gst.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/vector.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/vector.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/vector.h	(revision 3477)
@@ -2,5 +2,5 @@
 #define __SATVECTOR_H
 
-/* $Id: vector.h,v 1.6 2006-11-22 13:53:31 cmv Exp $ */
+/* $Id: vector.h,v 1.7 2008-03-25 17:45:20 cmv Exp $ */
 
 #define dotp(A,B) ((A).x*(B).x+(A).y*(B).y+(A).z*(B).z)
@@ -16,4 +16,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: vector.h,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: vector.h,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/vsop87.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/vsop87.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/vsop87.c	(revision 3477)
@@ -207,3 +207,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: vsop87.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: vsop87.c,v $ $Date: 2008-03-25 17:45:20 $ $Revision: 1.8 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/vsop87.h
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/vsop87.h	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/vsop87.h	(revision 3477)
@@ -90,4 +90,4 @@
 
 /* For RCS Only -- Do Not Edit
- * @(#) $RCSfile: vsop87.h,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $
+ * @(#) $RCSfile: vsop87.h,v $ $Date: 2008-03-25 17:45:21 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $
  */
Index: /trunk/SophyaExt/XephemAstroLib/vsop87_data.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/vsop87_data.c	(revision 3476)
+++ /trunk/SophyaExt/XephemAstroLib/vsop87_data.c	(revision 3477)
@@ -6986,3 +6986,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: vsop87_data.c,v $ $Date: 2006-11-22 13:53:31 $ $Revision: 1.6 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: vsop87_data.c,v $ $Date: 2008-03-25 17:45:21 $ $Revision: 1.7 $ $Name: not supported by cvs2svn $"};
